Inhalte
Index 🔎︎

# Anweisung Get

Liest einen Datensatz aus einer relativen Datei oder eine Folge von Bytes aus einer binären Datei in eine Variable ein.

Vergleichen Sie auch: Anweisung PUT

## Syntax:

    Get [#] Dateinummer As Integer, [Position], Variable

## Parameter:

Dateinummer: Beliebiger Ausdruck vom Typ Integer, der die Dateinummer bestimmt.

Position: Bei im Random-Modus geöffneten Dateien ist Position die Nummer des zu lesenden Datensatzes.

Bei im Binary-Modus geöffneten Dateien ist Position die Byteposition innerhalb der Datei, an der mit dem Lesevorgang begonnen wird.

Wird Position nicht angegeben, so wird die aktuelle Position beziehungsweise der aktuelle Datensatz der Datei verwendet.

Variable: Name der zu lesenden Variablen. Mit der Ausnahme von Objektvariablen können Sie jeden Variablentyp verwenden.

## Beispiel:

    Sub ExampleRandomAccess
    Dim iNumber As Integer
    Dim sText As Variant ' Muss variant sein
    Dim aFile As String
        aFile = "c:\data.txt"
        iNumber = Freefile
        Open aFile For Random As #iNumber Len=32
        Seek #iNumber,1 ' Auf Anfang positionieren
        Put #iNumber,, "Das ist die erste Zeile Text" ' Füllt die Zeile mit Text
        Put #iNumber,, "Das ist die 2.Zeile Text"
        Put #iNumber,, "Das ist die 3.Zeile Text"
        Seek #iNumber,2
        Get #iNumber,,sText
        Print sText
        Close #iNumber
        iNumber = Freefile
        Open aFile For Random As #iNumber Len=32
        Get #iNumber,2,sText
        Put #iNumber,,"Das ist ein neuer Text"
        Get #iNumber,1,sText
        Get #iNumber,2,sText
        Put #iNumber,20,"Das ist Text in Datensatz 20"
        Print Lof(#iNumber)
        Close #iNumber
    End Sub